> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Company Info

> This endpoint serves the purpose of fetching company information.

This endpoint returns general company profile information including name, contact details, and address.

<Info>
  For HR contact details, use the [Get Company HR Info](/api-reference/v01.12.00/company/get-company-hr-info) endpoint.
</Info>


## OpenAPI

````yaml api-reference/v01.12.00/openapi-v01.12.00.json GET /company/info
openapi: 3.0.0
info:
  title: Roosted
  version: 0.1.12
  contact:
    name: Support
    url: https://support.roostedhr.com/support/home
    email: support@roostedhr.com
  description: |-
    Enterprise API

    Sandbox keys and Production keys are requested from support
servers:
  - url: https://api.roostedhr.com/api/1_12
  - url: https://sandbox.roostedhr.com/api/1_12
security:
  - X-API-KEY: []
tags:
  - name: Announcements
  - name: Areas
  - name: Clients
  - name: Company
  - name: Configuration
  - name: Events
  - name: Locations
  - name: Payroll Groups
  - name: Rate Cards
  - name: Shifts
  - name: Skillsets
  - name: Time Tracking
  - name: Wage Rules
  - name: Workers
paths:
  /company/info:
    get:
      tags:
        - Company
      summary: Get Company Info
      description: This endpoint serves the purpose of fetching company information.
      operationId: get-company-info
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyInfo'
              examples:
                Fetched Company Info:
                  value:
                    name: My Company
                    primary_contact: John Doe
                    contact_number: '+123456789'
                    contact_email: email@my-company.com
                    address: Turner str. 10
                    city: Baltimore
                    zip: '12345'
                    timezone:
                      id: 5
                      name: Eastern Time (US & Canada)
                      offset: '-05:00'
                    country:
                      id: 2
                      name: United States
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Company name exceeds maximum length:
                  value:
                    code: CMP-100
                    error: Company name exceeds maximum length
                Invalid email format:
                  value:
                    code: CMP-200
                    error: Invalid email format
                Invalid country or timezone ID:
                  value:
                    code: CMP-300
                    error: Invalid country or timezone ID
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid API key:
                  value:
                    code: ATH-100
                    error: Invalid or missing API key
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Insufficient permissions:
                  value:
                    code: CMP-1000
                    error: Insufficient permissions to manage company settings
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Not found:
                  value:
                    code: CMP-600
                    error: Document not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Unexpected error:
                  value:
                    code: CMP-1100
                    error: An unexpected error occurred
components:
  schemas:
    CompanyInfo:
      title: CompanyInfo
      type: object
      properties:
        name:
          type: string
          description: Company name
        primary_contact:
          type: string
          description: Primary contact person name
        contact_number:
          type: string
          description: Primary contact phone number
        contact_email:
          type: string
          description: Primary contact email address
        address:
          type: string
          description: Company street address
        city:
          type: string
          description: Company city
        zip:
          type: string
          description: Company postal/ZIP code
        timezone:
          type: object
          description: Company timezone
          properties:
            id:
              type: integer
              description: Timezone identifier
            name:
              type: string
              description: Timezone name
            offset:
              type: string
              description: UTC offset
        country:
          type: object
          description: Company country
          properties:
            id:
              type: integer
              description: Country identifier
            name:
              type: string
              description: Country name
  securitySchemes:
    X-API-KEY:
      name: X-API-KEY
      type: apiKey
      in: header

````